Bug 170082 - Gdm config (gdm.conf) doesn't allow specifying nice priority for X server
Gdm config (gdm.conf) doesn't allow specifying nice priority for X server
Product: Fedora
Classification: Fedora
Component: gnome-desktop (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2005-10-06 21:50 EDT by Philip Prindeville
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-12 11:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2005-10-06 21:50:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc3 Firefox/1.0.6

Description of problem:
Despite the fact that gdm.conf contains more configuration lines than gcc having options...  You can specify that you want your X server to run at a raised or lowered priority (typically raised).

For instance, if you're doing a lot of multimedia that's realtime (like running Xine or Mplayer or MythTV), then you'll probably want to run your X server at -10 or so.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run "ps -efl | egrep '\<X\>'
2. Check the NICE column.

Actual Results:  The X server usually runs at a default nice priority of 0.

Additional info:

It would be better to allow one to give a config line as:


and have it run X at -5.

This is a lot more secure than having to do a "sudo renice" of the server from your .xinitrc file.
Comment 1 Ray Strode [halfline] 2005-12-06 17:06:14 EST
Hi Phillip,

Can't you just change the command= line to have
nice -n -5 in front of everything else?

Either way, this type of feature request should go upstream.  It's not really
fedora specific and we wouldn't want to carry a patch that diverged from
upstream for this kind of feature.

If you do file upstream can you post a link to the upstream bug report here?
Comment 2 Philip Prindeville 2005-12-06 17:46:52 EST
A bug has been opened upstream, and the id is 323346


The reason you can't do it via "nice" is that the server does a "setuid" and
"setgid" before starting the command line, which means that you can only
increase the priority (i.e. positive nice values).  You can't lower it.
Comment 3 Philip Prindeville 2006-05-12 11:59:35 EDT
This has been fixed upstream.  This can be closed.

Note You need to log in before you can comment on or make changes to this bug.